AUTOMAKE_OPTIONS = foreign no-dependencies no-installinfo
INCLUDES = -I@top_srcdir@ @ROOT_INCLUDES@
LDFLAGS = @ROOT_LDFLAGS@

YODA_HEADER_FILES           = TofEvent.h
yodaincdir                  = $(includedir)/yoda/event/physics/tof
yodainc_HEADERS             = ${YODA_HEADER_FILES}

YODA_SOURCES                = TofEvent.cpp
BUILT_SOURCES               = TofEventDict.cpp TofEventDict.h

noinst_LTLIBRARIES          = libtofevent.la

libtofevent_la_SOURCES      = ${YODA_HEADER_FILES}   \
                              ${YODA_SOURCES}        \
                              ${BUILT_SOURCES}       \
                              LinkDef.h

TofEventDict.cpp: ${YODA_HEADER_FILES} LinkDef.h
	rootcint -f $@ -c ${INCLUDES} $^
